Severity information is not being migrated
Closed, ResolvedPublic

Description

We agreed that the Severity information would be printed in the task description, since we decided not to have such field in Phabricator. Currently this information is missing in bugzillapreview. See for instance https://bugzilla.wikimedia.org/show_bug.cgi?id=57540 (Severity: critical)

Qgil created this task.Oct 18 2014, 10:40 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Normal.
Qgil added a project: Bugzilla-Preview.
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.
Qgil added a comment.Oct 18 2014, 10:51 PM

Hm, actually...

T102#1539 says:

I would not migrate Severity as a custom field, but as a searchable text string in the task description.

However, T259: Bugzilla to Maniphest import script (tracking) says

Severity: To be dropped, T102

and consequently, https://www.mediawiki.org/wiki/Phabricator/versus_Bugzilla#Bugzilla_data_migrated says

Severity - Not migrated

Considering that we agreed that the latter is the canonical reference, the script works as specified. However, I believe something got lost in the requirements? If we add "Hardware/OS" to the description, we might as well add Severity.

Qgil added a comment.Oct 19 2014, 11:13 PM

The Severity field is gone for good (and yes, we can document better this fact). This task is simply about adding to the description the Severity value of the Bugzilla reports imported.

In T695#12009, @Qgil wrote:

The Severity field is gone for good (and yes, we can document better this fact). This task is simply about adding to the description the Severity value of the Bugzilla reports imported.

I understood that it would be replaced with project board prioritisation. If that's not going to be automatically filled in it's going to be a serious pain. I'm not particularly keen to re-triage 2,000 bugs in VE/OOUI/wikitext editor and others…

Qgil added a comment.Oct 19 2014, 11:28 PM

What do you want t do with this information? If you want to search candidates for next sprints, and you want to use the Severity information to help you, you could always query tasks in project X with the string "Severity: Critical", and that should provide you the sample you are looking for.

I don't think workboards are the right tool for this task. Are you planning to have a VisualEditor workboard where each column corresponds to a severity level? Besides, Workboards are good to handle dozens of tasks anyway, not hundreds.

Good catch, sorry for the inconsistency. Let's drop the string values of "severity" (and "whiteboard" seems also not to be in yet, looking at bugzilla_create.py) as plain text in the initial description.

http://www.bugzilla.org/docs/4.4/en/html/api/Bugzilla/WebService/Bug.html#get

Clueless cargo cult patch in https://gerrit.wikimedia.org/r/#/c/167548/

[offtopic]

In T695#12014, @Jdforrester-WMF wrote:

I'm not particularly keen to re-triage 2,000 bugs in VE/OOUI/wikitext editor and others…

I would recommend at some point rather sooner than later to (mass-)prioritize those open VE tickets in Bugzilla with Priority=Unprioritized even if that would only be a rough categorization (e.g. set Priority=lowest for open tickets with Priority=unprioritized && Severity=enh|trivial|minor and Priority=low for Priority=unprioritized && Severity=normal|major or whatever works). Otherwise you will end up with a large list of "Needs triage" tickets after the Phab migration. Also note that Target Milestones will be migrated which offers another way to plan.

This is currently:

What to do w/ this ticket now?

Qgil assigned this task to chasemp.Oct 21 2014, 6:09 PM

Trust you and resolve it. :)

In T695#12822, @chasemp wrote:

This is currently:

Good!

What to do w/ this ticket now?

Trust you and resolve it. :)

Qgil closed this task as Resolved.Oct 21 2014, 6:09 PM

[offtopic]

In T695#12014, @Jdforrester-WMF wrote:

I'm not particularly keen to re-triage 2,000 bugs in VE/OOUI/wikitext editor and others…

I would recommend at some point rather sooner than later to (mass-)prioritize those open VE tickets in Bugzilla with Priority=Unprioritized even if that would only be a rough categorization (e.g. set Priority=lowest for open tickets with Priority=unprioritized && Severity=enh|trivial|minor and Priority=low for Priority=unprioritized && Severity=normal|major or whatever works). Otherwise you will end up with a large list of "Needs triage" tickets after the Phab migration. Also note that Target Milestones will be migrated which offers another way to plan.

Actually, those are indeed untriaged and should be marked as such. :-)

chasemp mentioned this in Unknown Object (Diffusion Commit).Nov 13 2014, 3:51 PM

I'm having issues trying to reconcile contradictory indications:

Let's drop the string values of "severity" (and "whiteboard" seems also not to be in yet, looking at bugzilla_create.py) as plain text in the initial description.

(apparently done) vs.

you could always query tasks in project X with the string "Severity: Critical"

What's the current status? Are we sure that users were actually able to understand how the imported tasks will look like as regards "Severity", even though the import was changed after the bugzilla preview? (Cf. T552 which declined the creation of a final preview.)

Actually, those are indeed untriaged and should be marked as such. :-)

So, if the others are triaged, this leaves us with 568 triaged tickets which received a non-default severity. https://bugzilla.wikimedia.org/buglist.cgi?bug_severity=blocker&bug_severity=critical&bug_severity=major&bug_severity=minor&bug_severity=trivial&bug_severity=enhancement&list_id=359859&priority=Immediate&priority=Highest&priority=High&priority=Normal&priority=Low&priority=Lowest&product=OOjs&product=OOjs%20UI&product=VisualEditor&query_format=advanced&resolution=---
How is that triaging work being preserved?

Nemo_bis reopened this task as Open.Nov 19 2014, 9:05 AM

Reopen because [[Phabricator/Help]] is silent on severity and [[Phabricator/versus Bugzilla]] only says «Also note that Severity, Version, URL, Whiteboard, and other fields will not be available in Phabricator, because we have decided to discontinue them. The related data available in Bugzilla reports will be added to the description of the task.» Users need documented workarounds to access the information in question, such as the translation between previous and future values that Aklapper implied in https://phabricator.wikimedia.org/T695#12650

Qgil claimed this task.Nov 19 2014, 9:25 AM

I'm not sure I understand your request. So the only problem here is that you expect that the "Severity: " text string is documented in /versus_Bugzilla, reflecting all the possible values, including the case where it is unspecified, right?

I expect the answer to be

  • blocker
  • critical
  • major
  • normal
  • minor
  • trivial
  • enhancement
  • unspecified

I will ask.

The way to retrieve this information is a search query.

Available Severity values in Bugzilla are

  • blocker
  • critical
  • major
  • normal
  • minor
  • trivial
  • enhancement

and there is no conversion; this will just be added to the task description in Phabricator. Severity cannot be unspecified.

Qgil closed this task as Resolved.Nov 20 2014, 10:16 AM